
Katello - Bug #4320

Error when syncing CentOS 5.10 repo

02/12/2014 07:11 AM - Dan Mashal

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Katello/Foreman 1.5.0

CentOS 6.5, Fedora 19 and Fedora 20 work fine.

When attempting to sync CentOS 5.10 from the Stanford mirror I get the following:

Failed to perform additional action Fort::Actions::RepositoryCreateAction: uninitialized constant

Fort::Actions::RepositoryCreateAction::Repository

Filing this bug as per irc convo with ohadlevy

History

#1 - 02/12/2014 07:17 AM - Ohad Levy

- Project changed from Foreman to Katello

do you have any more info in the logs? a tracelog would be very useful.

also, which version of katello are you using?

#2 - 02/12/2014 07:35 AM - Dan Mashal

- File production.log added

- File production.log-20140212 added

- File jobs-startup.log-20140212 added

Katello/Foreman 1.5.0 from git snapshot.

pulp.log    http://paste.fedoraproject.org/76454/90095139

nectar.log  http://paste.fedoraproject.org/76455/90126139

Other logs attached.

Let me know if you need anything else.

#3 - 02/12/2014 07:48 PM - Mike McCune

thanks for the logs, looks like it was caused by:

Rolling back due to a problem: []

503 Service Unavailable: {"http_request_method": "POST", "exception": null, "error_message": "Operation timed out after: 0:00:20", "_href":

"/pulp/api/v2/repositories/Dan_Corp-CentOS_5-CentOS_5_10/importers/yum_importer/schedules/sync/", "http_status": 503, "traceback": null,

"timeout": "0:00:20"}

how much ram do you have setup on your system running Katello?

#4 - 02/12/2014 10:48 PM - Dan Mashal

Per our conversation on IRC I upgraded the VM to 8GB but it didn't make a difference.
When I point change the repository url from

http://mirror.stanford.edu/yum/pub/centos/5.10/os/

to

http://mirror.stanford.edu/yum/pub/centos/5.10/os/x86_64

the repo is now syncing.

#5 - 02/14/2014 10:47 AM - Dominic Cleal

- translation missing: en.field_release deleted (4)

#6 - 06/04/2014 12:31 AM - Eric Helms

- Category set to 91

- Triaged set to Yes

#7 - 08/18/2014 01:55 PM - Eric Helms

- Status changed from New to Resolved

The offending code no longer exists in the way the bug mentions. If you run into this with the current code please re-open.

#8 - 08/22/2014 07:50 AM - Eric Helms

- translation missing: en.field_release set to 13

Files

production.log 656 KB 02/12/2014 Dan Mashal

production.log-20140212 193 KB 02/12/2014 Dan Mashal

jobs-startup.log-20140212 471 Bytes 02/12/2014 Dan Mashal
